## fillmore-lombard 0.1.0

=== Makefile ===
default: all

BUILD_ROOT = 1

VERSION = 0.1.0
FILLMORE = fillmore
LOMBARD = lombard
MEDIA_TEST = media_test

SRC_PREFIX=MARINA_
-include src/marina/sources.mk
DIST_SRC_FILES = $(foreach src,$(MARINA_SRC_FILES), src/marina/$(src))

SRC_PREFIX=LOMBARD_
-include src/lombard/sources.mk
DIST_SRC_FILES += $(foreach src, $(LOMBARD_SRC_FILES), src/lombard/$(src))

SRC_PREFIX=FILLMORE_
-include src/fillmore/sources.mk
DIST_SRC_FILES += $(foreach src, $(FILLMORE_SRC_FILES), src/fillmore/$(src))

SRC_PREFIX=TEST_
-include src/test/sources.mk
DIST_SRC_FILES += $(foreach src, $(TEST_SRC_FILES), src/test/$(src))

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

DIST_MAKEFILES = \
	Makefile \
	marina.mk \
	src/marina/Makefile \
	src/marina/sources.mk \
	src/fillmore/Makefile \
	src/fillmore/sources.mk \
	src/lombard/Makefile \
	src/lombard/sources.mk \
	src/test/Makefile \
	src/test/sources.mk

DIST_NAME = media
DIST_FILES = $(DIST_MAKEFILES) configure minver $(DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) resources/* misc/*

DIST_TAR = $(DIST_NAME)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz
PACKAGE_ORIG_GZ = $(DIST_NAME)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz

MARINA = marina/libmarina.a
.PHONY: $(FILLMORE)
.PHONY: $(LOMBARD)
.PHONY: $(MEDIA_TEST)
.PHONY: $(MARINA)

$(MARINA):
	export VERSION=$(VERSION); $(MAKE) --directory=src/marina

$(FILLMORE): $(MARINA)
	export PROGRAM_NAME=$(FILLMORE); $(MAKE) --directory=src/fillmore

install: install-$(FILLMORE) install-$(LOMBARD)
	

uninstall: uninstall-$(FILLMORE) uninstall-$(LOMBARD)
	

install-$(FILLMORE): $(FILLMORE)
	export PROGRAM_NAME=$(FILLMORE); \
	$(MAKE) --directory=src/fillmore install; \

uninstall-$(FILLMORE):
	export PROGRAM_NAME=$(FILLMORE); \
	$(MAKE) --directory=src/fillmore uninstall; \

$(LOMBARD): $(MARINA)
	export PROGRAM_NAME=$(LOMBARD); \
	$(MAKE) --directory=src/lombard; \

install-$(LOMBARD): $(LOMBARD)
	export PROGRAM_NAME=$(LOMBARD); \
	$(MAKE) --directory=src/lombard install; \

uninstall-$(LOMBARD):
	export PROGRAM_NAME=$(LOMBARD); \
	$(MAKE) --directory=src/lombard uninstall; \

$(MEDIA_TEST):
	export PROGRAM_NAME=$(MEDIA_TEST); \
	$(MAKE) --directory=src/test;

all: $(FILLMORE) $(LOMBARD) $(MEDIA_TEST)
	

clean:
	$(MAKE) --directory=src/marina clean
	export PROGRAM_NAME=$(FILLMORE); $(MAKE) --directory=src/fillmore clean
	export PROGRAM_NAME=$(LOMBARD); $(MAKE) --directory=src/lombard clean
	export PROGRAM_NAME=$(MEDIA_TEST); $(MAKE) --directory=src/test clean

dist: $(DIST_FILES)
	mkdir -p $(DIST_NAME)-$(VERSION)
	cp --parents $(DIST_FILES) $(DIST_NAME)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(DIST_NAME)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(DIST_NAME)-$(VERSION)
	rm -rf $(DIST_NAME)-$(VERSION)

distclean: clean
	rm -f configure.mk

=== src/fillmore/Makefile ===
PROGRAM = ../../$(PROGRAM_NAME)
GLADE_NAME = ../../libfill.so

all: $(PROGRAM)

USE_MARINA_VAPI=1
-include ../../configure.mk

VALA_LDFLAGS = -lmarina -L../marina
VALA_LDFLAGS += `pkg-config --libs $(EXT_PKGS)`
MARINA_DEPEND = ../marina/libmarina.a

-include sources.mk

ifndef BUILD_DIR
BUILD_DIR=fillmore
endif

-include ../../marina.mk
HEADER_DIRS += ../marina

=== src/lombard/Makefile ===
PROGRAM = ../../$(PROGRAM_NAME)
all: $(PROGRAM)
USE_MARINA_VAPI=1
-include ../../configure.mk

VALA_LDFLAGS = -lmarina -L../marina
VALA_LDFLAGS += `pkg-config --libs $(EXT_PKGS)`
MARINA_DEPEND = ../marina/libmarina.a

-include sources.mk

ifndef BUILD_DIR
BUILD_DIR=lombard
endif

-include ../../marina.mk
HEADER_DIRS += ../marina

=== src/marina/Makefile ===
LIBRARY = libmarina.a
all: $(LIBRARY)

# defaults that may be overridden by configure.mk
BUILD_RELEASE=1

-include ../../configure.mk

-include sources.mk

HEADER_FILES = marina.h
LIBRARY_NAME = --library marina

ifndef BUILD_DIR
BUILD_DIR=marina
endif

-include ../../marina.mk

clean:
	rm -f $(EXPANDED_C_FILES)
	rm -f $(EXPANDED_SAVE_TEMPS_FILES)
	rm -f $(EXPANDED_OBJ_FILES)
	rm -f $(VALA_STAMP)
	rm -rf $(LIBRARY)-$(VERSION)
	rm -f $(LIBRARY)
	rm -f $(BUILD_DIR)/marina.vapi
	rm -f marina.h

=== src/test/Makefile ===
PROGRAM = ../../$(PROGRAM_NAME)
all: $(PROGRAM)

-include ../../configure.mk

VALA_LDFLAGS = `pkg-config --libs $(EXT_PKGS)`
-include sources.mk
SRC_FILES += \
	../marina/ProjectLoader.vala \
	../marina/Logging.vala \
	../marina/util.vala

ifndef BUILD_DIR
BUILD_DIR=debug
endif

-include ../../marina.mk
HEADER_DIRS += ../marina

=== debian/changelog ===
fillmore-lombard (0.1.0-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS by backporting vala compatibility patches from upstream and
    passing -fPIC. (LP: #749157)

 -- Iain Lane <laney@debian.org>  Tue, 13 Sep 2011 21:21:22 +0100

fillmore-lombard (0.1.0-1) experimental; urgency=low

  * Initial release (Closes: #594263).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 25 Aug 2010 02:30:43 +0200

=== debian/control ===
Source: fillmore-lombard
Section: gnome
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               valac-0.12,
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               gstreamer0.10-gnonlin,
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.28)
Standards-Version: 3.9.1
Homepage: http://www.yorba.org/

Package: fillmore
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-gnonlin
Suggests: lombard (= ${binary:Version})
Description: multitrack audio recorder
 Fillmore is an audio editor designed for the GNOME desktop environment.
 It allows you to record audio, place audio on multiple tracks, adjust
 the position of the track in the stereo track and export your project
 as a single stereo file.

Package: lombard
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-gnonlin
Suggests: fillmore (= ${binary:Version})
Description: video editor
 Lombard is a video editor designed for the GNOME desktop environment.
 It allows you to manipulate multiple video and audio clips and export
 your project as a single video file.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS += -fPIC 

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/fillmore/usr install-fillmore
	$(MAKE) PREFIX=$(CURDIR)/debian/lombard/usr install-lombard

	-rm -f $(CURDIR)/debian/lombard/usr/share/lombard/resources/fillmore*
	-rm -f $(CURDIR)/debian/lombard/usr/share/lombard/resources/dot.png
	-rm -f $(CURDIR)/debian/lombard/usr/share/lombard/resources/*_speaker.png
	-rm -f $(CURDIR)/debian/fillmore/usr/share/fillmore/resources/lombard*

	-rm -f $(CURDIR)/debian/*/usr/share/mime/*
	-rm -rf $(CURDIR)/debian/*/usr/share/mime/text
	-rm -rf $(CURDIR)/debian/*/usr/share/mime/application
	-rm -f $(CURDIR)/debian/*/usr/share/icons/hicolor/icon-theme.cache

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	dh_installman -pfillmore $(CURDIR)/debian/fillmore.1
	dh_installman -plombard $(CURDIR)/debian/lombard.1

=== debian/watch ===
version=3
http://www.yorba.org/download/media/([\d\.]+)/fillmore-lombard-(.*)\.tar\.gz
